LibreOffice: XUpdatableLayer Interface Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XUpdatableLayer Interface Referencepublished

Provides access to a read-write layer of configuration data for a given component and entity. More...

Inheritance diagram for XUpdatableLayer:

## Public Member Functions
void | replaceWith ([in] XLayer aNewLayer) raises (com::sun::star::lang::NullPointerException, com::sun::star::lang::WrappedTargetException, MalformedDataException)
| Replaces the current layer with the layer given as input parameter.
Public Member Functions inherited from XLayer
void | readData ([in] XLayerHandler aHandler) raises (com::sun::star::lang::NullPointerException, com::sun::star::lang::WrappedTargetException, MalformedDataException)
| describes the contents of the layer to an XLayerHandler.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Provides access to a read-write layer of configuration data for a given component and entity.

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ replaceWith()

void replaceWith | ( | [in] XLayer | aNewLayer | ) |
raises | ( | com::sun::star::lang::NullPointerException,
|  | com::sun::star::lang::WrappedTargetException,
|  | MalformedDataException
| ) |  |

Replaces the current layer with the layer given as input parameter.

After the replacement has been performed, reading the layer will return the new content. Some implementations may not support this, so after an update XLayer::readData() may fail.

Parameters

  aNewLayer | replacement layer

Exceptions

  com::sun::star::lang::NullPointerException | if a `NULL` handler is passed.
  com::sun::star::lang::WrappedTargetException | if an error occurs during the replacement.
  com::sun::star::configuration::backend::MalformedDataException | if the layer contains invalid data.

The documentation for this interface was generated from the following file:

- com/sun/star/configuration/backend/XUpdatableLayer.idl